<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="redis" target="multi-user">
      <file>/etc/redis/redis.conf</file>
      <ip ip_type='variable'>account.remote_ip</ip>
      <file engine="none" source="sysuser-redis.conf">/sysusers.d/0redis.conf</file>
      <file engine="none" source="tmpfile-redis.conf">/tmpfiles.d/0redis.conf</file>
      <file>/etc/pki/ca-trust/source/anchors/ca_Redis.crt</file>
      <file>/etc/pki/tls/certs/redis.crt</file>
      <file owner="root" group="redis" mode="440">/etc/pki/tls/private/redis.key</file>
      <file filelist="copy_tests">/tests/redis.yml</file>
    </service>
  </services>
  <variables>
    <family name="redis" description="Redis" help="Configuration du service de cache Redis">
      <variable name="redis_instance_name" description="Nom de l'instance" mandatory="True"/>
      <variable name="redis_save" description="Activer la persistence des données">
          <value>False</value>
      </variable>
      <variable name="redis_max_memory" type="number" description="Quantité de mémoire utilisable par Redis" help="La valeur est en Mo">
        <value>512</value>
      </variable>
      <variable name="redis_memory_policy" description="Méthode de libération de mémoire lorsque le maximum est atteint" type="choice">
        <value>noeviction</value>
        <choice>volatile-lru</choice>
        <choice>allkeys-lru</choice>
        <choice>volatile-lfu</choice>
        <choice>allkeys-lfu</choice>
        <choice>volatile-random</choice>
        <choice>allkeys-random</choice>
        <choice>volatile-ttl</choice>
        <choice>noeviction</choice>
      </variable>
      <variable name="redis_tcp_keepalive" type="number" description="Intervalle entre le dernier envoi de paquet TCP et la réponse ACK" help="La valeur est en seconde">
        <value>300</value>
      </variable>
      <variable name="redis_max_clients" type="number" description="Nombre de client maximum autorisé">
        <value>10000</value>
      </variable>
    </family>
  </variables>
  <constraints>
    <fill name="calc_value">
      <param type="variable">domain_name_eth0</param>
      <target>redis_instance_name</target>
    </fill>
  </constraints>
</rougail>
